Subject: Re: [PATCH 3/7] net: dsa: ar8xxx: add regmap support

From: Florian Fainelli <[email-masked]>
Date: Thu, 28 May 2015 19:36:42 -0700

Le 05/28/15 19:23, Andrew Lunn a écrit :
> On Thu, May 28, 2015 at 06:58:14PM -0700, Florian Fainelli wrote:
>> Le 05/28/15 18:42, Mathieu Olivari a écrit :
>>> All switch registers can now be dumped using regmap/debugfs.
>>>
>>> \# cat /sys/kernel/debug/regmap/<mdiobus>/registers
>>> 0000: 00001302
>>> 0004: ...
>>> ...
>>
>> ethtool has a register dump command, which should already be supported
>> by the current code in net/dsa/slave.c, is there a particular reason why
>> you use debugfs here instead?
> 
> Hi Florian
> 
> ethtool -d allows you to dump the registers for a port which has a
> slave device. It is sometimes useful to dump the cpu ports registers,
> or DSA ports, i.e. inter switch ports. Marvell devices also have two
> sets of global registers, not specific to any port.
> 
> For my debugging, i have code which allows you to read the registers
> via debugfs.

Fair enough, are there other global "things" besides counters that could
deserve adding maybe some sort of global/master net_device to help query
switch-wide information?
-- 
Florian
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html